Index: Scheduling/trunk/cs/bsdx0200GUISourceCode/dsRebookAppts.xsd
===================================================================
--- Scheduling/trunk/cs/bsdx0200GUISourceCode/dsRebookAppts.xsd	(revision 614)
+++ Scheduling/trunk/cs/bsdx0200GUISourceCode/dsRebookAppts.xsd	(revision 772)
@@ -1,53 +1,60 @@
-<?xml version="1.0" encoding="utf-8" ?>
-<xs:schema id="dsRebookAppts" targetNamespace="http://tempuri.org/dsRebookAppts.xsd" elementFormDefault="qualified"
-	attributeFormDefault="qualified" xmlns="http://tempuri.org/dsRebookAppts.xsd" xmlns:mstns="http://tempuri.org/dsRebookAppts.xsd"
-	xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
-	<xs:element name="dsRebookAppts" msdata:IsDataSet="true">
-		<xs:complexType>
-			<xs:choice maxOccurs="unbounded">
-				<xs:element name="PatientAppts">
-					<xs:complexType>
-						<xs:sequence>
-							<xs:element name="Name" type="xs:string" minOccurs="0" />
-							<xs:element name="DOB" type="xs:date" minOccurs="0" />
-							<xs:element name="Sex" type="xs:string" minOccurs="0" />
-							<xs:element name="HRN" type="xs:string" minOccurs="0" />
-							<xs:element name="NewApptDate" type="xs:date" minOccurs="0" />
-							<xs:element name="Clinic" type="xs:string" minOccurs="0" />
-							<xs:element name="TypeStatus" type="xs:string" minOccurs="0" />
-							<xs:element name="RESOURCEID" type="xs:unsignedInt" minOccurs="0" />
-							<xs:element name="APPT_MADE_BY" type="xs:string" minOccurs="0" />
-							<xs:element name="DATE_APPT_MADE" type="xs:date" minOccurs="0" />
-							<xs:element name="NOTE" type="xs:string" minOccurs="0" />
-							<xs:element name="STREET" type="xs:string" minOccurs="0" />
-							<xs:element name="CITY" type="xs:string" minOccurs="0" />
-							<xs:element name="STATE" type="xs:string" minOccurs="0" />
-							<xs:element name="ZIP" type="xs:string" minOccurs="0" />
-							<xs:element name="HOMEPHONE" type="xs:string" minOccurs="0" />
-							<xs:element name="OldApptDate" type="xs:date" minOccurs="0" />
-						</xs:sequence>
-					</xs:complexType>
-				</xs:element>
-				<xs:element name="BSDXResource">
-					<xs:complexType>
-						<xs:sequence>
-							<xs:element name="RESOURCEID" type="xs:unsignedInt" minOccurs="0" />
-							<xs:element name="RESOURCE_NAME" type="xs:string" minOccurs="0" />
-							<xs:element name="LETTER_TEXT" type="xs:string" minOccurs="0" />
-							<xs:element name="NO_SHOW_LETTER" type="xs:string" minOccurs="0" />
-							<xs:element name="CLINIC_CANCELLATION_LETTER" type="xs:string" minOccurs="0" />
-						</xs:sequence>
-					</xs:complexType>
-				</xs:element>
-			</xs:choice>
-		</xs:complexType>
-		<xs:key name="kBSDXResourceID">
-			<xs:selector xpath=".//mstns:BSDXResource" />
-			<xs:field xpath="mstns:RESOURCEID" />
-		</xs:key>
-		<xs:keyref name="BSDXResourcePatientAppts" refer="kBSDXResourceID">
-			<xs:selector xpath=".//mstns:PatientAppts" />
-			<xs:field xpath="mstns:RESOURCEID" />
-		</xs:keyref>
-	</xs:element>
+<?xml version="1.0" encoding="utf-8"?>
+<xs:schema id="dsRebookAppts" targetNamespace="http://tempuri.org/dsRebookAppts.xsd" xmlns:mstns="http://tempuri.org/dsRebookAppts.xsd" xmlns="http://tempuri.org/dsRebookAppts.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
+  <xs:annotation>
+    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
+      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
+        <Connections />
+        <Tables />
+        <Sources />
+      </DataSource>
+    </xs:appinfo>
+  </xs:annotation>
+  <xs:element name="dsRebookAppts" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:Generator_UserDSName="dsRebookAppts" msprop:Generator_DataSetName="dsRebookAppts">
+    <xs:complexType>
+      <xs:choice minOccurs="0" maxOccurs="unbounded">
+        <xs:element name="PatientAppts" msprop:Generator_UserTableName="PatientAppts" msprop:Generator_RowDeletedName="PatientApptsRowDeleted" msprop:Generator_TableClassName="PatientApptsDataTable" msprop:Generator_RowChangedName="PatientApptsRowChanged" msprop:Generator_RowClassName="PatientApptsRow" msprop:Generator_RowChangingName="PatientApptsRowChanging" msprop:Generator_RowEvArgName="PatientApptsRowChangeEvent" msprop:Generator_RowEvHandlerName="PatientApptsRowChangeEventHandler" msprop:Generator_TablePropName="PatientAppts" msprop:Generator_TableVarName="tablePatientAppts" msprop:Generator_RowDeletingName="PatientApptsRowDeleting">
+          <xs:complexType>
+            <xs:sequence>
+              <xs:element name="Name" msprop:Generator_UserColumnName="Name" msprop:Generator_ColumnPropNameInRow="Name" msprop:Generator_ColumnVarNameInTable="columnName" msprop:Generator_ColumnPropNameInTable="NameColumn" type="xs:string" minOccurs="0" />
+              <xs:element name="DOB" msprop:Generator_UserColumnName="DOB" msprop:Generator_ColumnPropNameInRow="DOB" msprop:Generator_ColumnVarNameInTable="columnDOB" msprop:Generator_ColumnPropNameInTable="DOBColumn" type="xs:date" minOccurs="0" />
+              <xs:element name="Sex" msprop:Generator_UserColumnName="Sex" msprop:Generator_ColumnPropNameInRow="Sex" msprop:Generator_ColumnVarNameInTable="columnSex" msprop:Generator_ColumnPropNameInTable="SexColumn" type="xs:string" minOccurs="0" />
+              <xs:element name="HRN" msprop:Generator_UserColumnName="HRN" msprop:Generator_ColumnPropNameInRow="HRN" msprop:Generator_ColumnVarNameInTable="columnHRN" msprop:Generator_ColumnPropNameInTable="HRNColumn" type="xs:string" minOccurs="0" />
+              <xs:element name="NewApptDate" msprop:Generator_UserColumnName="NewApptDate" msprop:Generator_ColumnPropNameInRow="NewApptDate" msprop:Generator_ColumnVarNameInTable="columnNewApptDate" msprop:Generator_ColumnPropNameInTable="NewApptDateColumn" type="xs:date" minOccurs="0" />
+              <xs:element name="Clinic" msprop:Generator_UserColumnName="Clinic" msprop:Generator_ColumnPropNameInRow="Clinic" msprop:Generator_ColumnVarNameInTable="columnClinic" msprop:Generator_ColumnPropNameInTable="ClinicColumn" type="xs:string" minOccurs="0" />
+              <xs:element name="TypeStatus" msprop:Generator_UserColumnName="TypeStatus" msprop:Generator_ColumnPropNameInRow="TypeStatus" msprop:Generator_ColumnVarNameInTable="columnTypeStatus" msprop:Generator_ColumnPropNameInTable="TypeStatusColumn" type="xs:string" minOccurs="0" />
+              <xs:element name="RESOURCEID" msprop:Generator_UserColumnName="RESOURCEID" msprop:Generator_ColumnPropNameInRow="RESOURCEID" msprop:Generator_ColumnVarNameInTable="columnRESOURCEID" msprop:Generator_ColumnPropNameInTable="RESOURCEIDColumn" type="xs:int" minOccurs="0" />
+              <xs:element name="APPT_MADE_BY" msprop:Generator_UserColumnName="APPT_MADE_BY" msprop:Generator_ColumnPropNameInRow="APPT_MADE_BY" msprop:Generator_ColumnVarNameInTable="columnAPPT_MADE_BY" msprop:Generator_ColumnPropNameInTable="APPT_MADE_BYColumn" type="xs:string" minOccurs="0" />
+              <xs:element name="DATE_APPT_MADE" msprop:Generator_UserColumnName="DATE_APPT_MADE" msprop:Generator_ColumnPropNameInRow="DATE_APPT_MADE" msprop:Generator_ColumnVarNameInTable="columnDATE_APPT_MADE" msprop:Generator_ColumnPropNameInTable="DATE_APPT_MADEColumn" type="xs:date" minOccurs="0" />
+              <xs:element name="NOTE" msprop:Generator_UserColumnName="NOTE" msprop:Generator_ColumnPropNameInRow="NOTE" msprop:Generator_ColumnVarNameInTable="columnNOTE" msprop:Generator_ColumnPropNameInTable="NOTEColumn" type="xs:string" minOccurs="0" />
+              <xs:element name="STREET" msprop:Generator_UserColumnName="STREET" msprop:Generator_ColumnPropNameInRow="STREET" msprop:Generator_ColumnVarNameInTable="columnSTREET" msprop:Generator_ColumnPropNameInTable="STREETColumn" type="xs:string" minOccurs="0" />
+              <xs:element name="CITY" msprop:Generator_UserColumnName="CITY" msprop:Generator_ColumnPropNameInRow="CITY" msprop:Generator_ColumnVarNameInTable="columnCITY" msprop:Generator_ColumnPropNameInTable="CITYColumn" type="xs:string" minOccurs="0" />
+              <xs:element name="STATE" msprop:Generator_UserColumnName="STATE" msprop:Generator_ColumnPropNameInRow="STATE" msprop:Generator_ColumnVarNameInTable="columnSTATE" msprop:Generator_ColumnPropNameInTable="STATEColumn" type="xs:string" minOccurs="0" />
+              <xs:element name="ZIP" msprop:Generator_UserColumnName="ZIP" msprop:Generator_ColumnPropNameInRow="ZIP" msprop:Generator_ColumnVarNameInTable="columnZIP" msprop:Generator_ColumnPropNameInTable="ZIPColumn" type="xs:string" minOccurs="0" />
+              <xs:element name="HOMEPHONE" msprop:Generator_UserColumnName="HOMEPHONE" msprop:Generator_ColumnPropNameInRow="HOMEPHONE" msprop:Generator_ColumnVarNameInTable="columnHOMEPHONE" msprop:Generator_ColumnPropNameInTable="HOMEPHONEColumn" type="xs:string" minOccurs="0" />
+              <xs:element name="OldApptDate" msprop:Generator_UserColumnName="OldApptDate" msprop:Generator_ColumnPropNameInRow="OldApptDate" msprop:Generator_ColumnVarNameInTable="columnOldApptDate" msprop:Generator_ColumnPropNameInTable="OldApptDateColumn" type="xs:date" minOccurs="0" />
+            </xs:sequence>
+          </xs:complexType>
+        </xs:element>
+        <xs:element name="BSDXResource" msprop:Generator_UserTableName="BSDXResource" msprop:Generator_RowDeletedName="BSDXResourceRowDeleted" msprop:Generator_TableClassName="BSDXResourceDataTable" msprop:Generator_RowChangedName="BSDXResourceRowChanged" msprop:Generator_RowClassName="BSDXResourceRow" msprop:Generator_RowChangingName="BSDXResourceRowChanging" msprop:Generator_RowEvArgName="BSDXResourceRowChangeEvent" msprop:Generator_RowEvHandlerName="BSDXResourceRowChangeEventHandler" msprop:Generator_TablePropName="BSDXResource" msprop:Generator_TableVarName="tableBSDXResource" msprop:Generator_RowDeletingName="BSDXResourceRowDeleting">
+          <xs:complexType>
+            <xs:sequence>
+              <xs:element name="RESOURCEID" msprop:Generator_UserColumnName="RESOURCEID" msprop:Generator_ColumnPropNameInRow="RESOURCEID" msprop:Generator_ColumnVarNameInTable="columnRESOURCEID" msprop:Generator_ColumnPropNameInTable="RESOURCEIDColumn" type="xs:int" />
+              <xs:element name="RESOURCE_NAME" msprop:Generator_UserColumnName="RESOURCE_NAME" msprop:Generator_ColumnPropNameInRow="RESOURCE_NAME" msprop:Generator_ColumnVarNameInTable="columnRESOURCE_NAME" msprop:Generator_ColumnPropNameInTable="RESOURCE_NAMEColumn" type="xs:string" minOccurs="0" />
+              <xs:element name="LETTER_TEXT" msprop:Generator_UserColumnName="LETTER_TEXT" msprop:Generator_ColumnPropNameInRow="LETTER_TEXT" msprop:Generator_ColumnVarNameInTable="columnLETTER_TEXT" msprop:Generator_ColumnPropNameInTable="LETTER_TEXTColumn" type="xs:string" minOccurs="0" />
+              <xs:element name="NO_SHOW_LETTER" msprop:Generator_UserColumnName="NO_SHOW_LETTER" msprop:Generator_ColumnPropNameInRow="NO_SHOW_LETTER" msprop:Generator_ColumnVarNameInTable="columnNO_SHOW_LETTER" msprop:Generator_ColumnPropNameInTable="NO_SHOW_LETTERColumn" type="xs:string" minOccurs="0" />
+              <xs:element name="CLINIC_CANCELLATION_LETTER" msprop:Generator_UserColumnName="CLINIC_CANCELLATION_LETTER" msprop:Generator_ColumnPropNameInRow="CLINIC_CANCELLATION_LETTER" msprop:Generator_ColumnVarNameInTable="columnCLINIC_CANCELLATION_LETTER" msprop:Generator_ColumnPropNameInTable="CLINIC_CANCELLATION_LETTERColumn" type="xs:string" minOccurs="0" />
+            </xs:sequence>
+          </xs:complexType>
+        </xs:element>
+      </xs:choice>
+    </xs:complexType>
+    <xs:unique name="kBSDXResourceID">
+      <xs:selector xpath=".//mstns:BSDXResource" />
+      <xs:field xpath="mstns:RESOURCEID" />
+    </xs:unique>
+    <xs:keyref name="FK_BSDXResource_PatientAppts" refer="kBSDXResourceID" msprop:rel_Generator_UserRelationName="FK_BSDXResource_PatientAppts" msprop:rel_Generator_RelationVarName="relationFK_BSDXResource_PatientAppts" msprop:rel_Generator_UserChildTable="PatientAppts" msprop:rel_Generator_UserParentTable="BSDXResource" msprop:rel_Generator_ParentPropName="BSDXResourceRow" msprop:rel_Generator_ChildPropName="GetPatientApptsRows">
+      <xs:selector xpath=".//mstns:PatientAppts" />
+      <xs:field xpath="mstns:RESOURCEID" />
+    </xs:keyref>
+  </xs:element>
 </xs:schema>