Index: cprs/branches/tmg-cprs/CPRS-Chart/fNotes.dfm
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/fNotes.dfm	(revision 698)
+++ cprs/branches/tmg-cprs/CPRS-Chart/fNotes.dfm	(revision 793)
@@ -1,7 +1,7 @@
 inherited frmNotes: TfrmNotes
-  Left = 276
-  Top = 277
-  Width = 687
-  Height = 409
+  Left = 341
+  Top = 478
+  Width = 341
+  Height = 256
   HelpContext = 5000
   Caption = 'Progress Notes Page'
@@ -16,15 +16,15 @@
   TextHeight = 13
   inherited shpPageBottom: TShape
-    Top = 350
-    Width = 679
+    Top = 197
+    Width = 333
   end
   inherited sptHorz: TSplitter
     Left = 64
-    Height = 350
+    Height = 197
     OnCanResize = sptHorzCanResize
   end
   inherited pnlLeft: TPanel
     Width = 64
-    Height = 350
+    Height = 197
     object lblNotes: TOROffsetLabel
       Left = 0
@@ -43,5 +43,5 @@
     object lblSpace1: TLabel
       Left = 0
-      Top = 305
+      Top = 152
       Width = 64
       Height = 3
@@ -52,5 +52,5 @@
     object cmdNewNote: TORAlignButton
       Left = 0
-      Top = 308
+      Top = 155
       Width = 64
       Height = 21
@@ -64,5 +64,5 @@
     object cmdPCE: TORAlignButton
       Left = 0
-      Top = 329
+      Top = 176
       Width = 64
       Height = 21
@@ -79,5 +79,5 @@
       Top = 19
       Width = 64
-      Height = 286
+      Height = 133
       Align = alClient
       BevelOuter = bvNone
@@ -85,5 +85,5 @@
       object splDrawers: TSplitter
         Left = 0
-        Top = 283
+        Top = 130
         Width = 64
         Height = 3
@@ -115,5 +115,5 @@
         Top = 0
         Width = 64
-        Height = 283
+        Height = 130
         Align = alClient
         Constraints.MinWidth = 30
@@ -142,10 +142,10 @@
   inherited pnlRight: TPanel
     Left = 68
-    Width = 611
-    Height = 350
+    Width = 265
+    Height = 197
     object sptVert: TSplitter
       Left = 0
-      Top = 301
-      Width = 611
+      Top = 148
+      Width = 265
       Height = 4
       Cursor = crVSplit
@@ -154,6 +154,6 @@
     object memPCEShow: TRichEdit
       Left = 0
-      Top = 305
-      Width = 611
+      Top = 152
+      Width = 265
       Height = 45
       Align = alBottom
@@ -170,6 +170,6 @@
       Left = 0
       Top = 0
-      Width = 611
-      Height = 301
+      Width = 265
+      Height = 148
       Align = alClient
       BevelOuter = bvNone
@@ -180,5 +180,5 @@
         Left = 0
         Top = 0
-        Width = 611
+        Width = 265
         Height = 67
         Align = alTop
@@ -187,5 +187,5 @@
         OnResize = pnlFieldsResize
         DesignSize = (
-          611
+          265
           67)
         object bvlNewTitle: TBevel
@@ -209,5 +209,5 @@
         end
         object lblAuthor: TStaticText
-          Left = 393
+          Left = 47
           Top = 6
           Width = 152
@@ -232,5 +232,5 @@
         end
         object lblCosigner: TStaticText
-          Left = 298
+          Left = -48
           Top = 21
           Width = 243
@@ -275,5 +275,5 @@
         end
         object cmdChange: TButton
-          Left = 547
+          Left = 201
           Top = 6
           Width = 58
@@ -288,5 +288,5 @@
           Left = 48
           Top = 40
-          Width = 557
+          Width = 211
           Height = 21
           Hint = 'Subject is limited to a maximum of 80 characters.'
@@ -303,6 +303,6 @@
         Left = 0
         Top = 67
-        Width = 611
-        Height = 234
+        Width = 265
+        Height = 81
         Align = alClient
         BevelOuter = bvNone
@@ -312,6 +312,6 @@
           Left = 0
           Top = 0
-          Width = 611
-          Height = 234
+          Width = 265
+          Height = 81
           Align = alClient
           Font.Charset = DEFAULT_CHARSET
@@ -335,6 +335,6 @@
         Left = 0
         Top = 67
-        Width = 611
-        Height = 234
+        Width = 265
+        Height = 81
         Align = alClient
         BevelOuter = bvNone
@@ -345,6 +345,6 @@
           Left = 0
           Top = 25
-          Width = 611
-          Height = 209
+          Width = 265
+          Height = 56
           Align = alClient
           BevelOuter = bvNone
@@ -354,5 +354,5 @@
           Left = 0
           Top = 0
-          Width = 611
+          Width = 265
           Height = 25
           AutoSize = True
@@ -370,5 +370,4 @@
             ShowHint = True
             TabOrder = 0
-            Text = '<Pick A Font>'
             OnClick = cbFontNamesChange
           end
@@ -790,4 +789,23 @@
             OnClick = btnBackColorClick
           end
+          object btnImage: TSpeedButton
+            Left = 519
+            Top = 2
+            Width = 23
+            Height = 21
+            Hint = 'Add Image'
+            Glyph.Data = {
+              F6000000424DF600000000000000760000002800000010000000100000000100
+              0400000000008000000000000000000000001000000000000000000000000000
+              8000008000000080800080000000800080008080000080808000C0C0C0000000
+              FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00FFFFFFFFFFFF
+              FFFFFFFFFFFFFFFFFFFFFFF7000000000FFFFFF7CCCCCCCC0FFFFFF7CCCCCCCC
+              0FFFFFF7CCCCCC220FFFFFF7EFEF22220FFFFFF7FEFEFE220FFFFFF7E88FEFEF
+              0FFFFFF78FB8FEFE0FFFFFF78BF8EFEF0FFFFFF7F88EFEFE0FFFFFF7EFEFEFEF
+              0FFFFFF7777777777FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF}
+            ParentShowHint = False
+            ShowHint = True
+            OnClick = btnImageClick
+          end
         end
       end
@@ -796,6 +814,6 @@
       Left = 0
       Top = 0
-      Width = 611
-      Height = 301
+      Width = 265
+      Height = 148
       Align = alClient
       BevelOuter = bvNone
@@ -805,5 +823,5 @@
         Left = 0
         Top = 0
-        Width = 611
+        Width = 265
         Height = 19
         Align = alTop
@@ -817,5 +835,5 @@
         Left = 0
         Top = 113
-        Width = 611
+        Width = 265
         Height = 3
         Cursor = crVSplit
@@ -825,11 +843,11 @@
         Left = 0
         Top = 116
-        Width = 611
-        Height = 185
+        Width = 265
+        Height = 32
         TabStop = False
         Align = alClient
         TabOrder = 2
         ControlData = {
-          4C000000263F00001F1300000000000000000000000000000000000000000000
+          4C000000631B00004F0300000000000000000000000000000000000000000000
           000000004C000000000000000000000001000000E0D057007335CF11AE690800
           2B2E126208000000000000004C0000000114020000000000C000000000000046
@@ -840,6 +858,6 @@
         Left = 0
         Top = 116
-        Width = 611
-        Height = 185
+        Width = 265
+        Height = 32
         Align = alClient
         Color = clCream
@@ -867,5 +885,5 @@
         Left = 0
         Top = 19
-        Width = 611
+        Width = 265
         Height = 94
         Align = alTop
@@ -916,6 +934,6 @@
         Left = 0
         Top = 116
-        Width = 611
-        Height = 185
+        Width = 265
+        Height = 32
         Align = alClient
         BevelOuter = bvNone
@@ -1430,5 +1448,5 @@
     LangData = {
       080066726D4E6F746573010200000001000000070043617074696F6E02000000
-      080048656C7046696C6501A20000000D0073687050616765426F74746F6D0000
+      080048656C7046696C6501A30000000D0073687050616765426F74746F6D0000
       0700737074486F727A00000700706E6C4C65667400000800706E6C5269676874
       000008006C626C4E6F746573010100000003000000070043617074696F6E0009
@@ -1573,18 +1591,19 @@
       6E6C48544D4C577269746500000B00706E6C48544D4C4564697400000700546F
       6F6C42617201010000008F000000070043617074696F6E000B006362466F6E74
-      4E616D6573010100000090000000040054657874000A006362466F6E7453697A
-      6501020000009200000005004974656D73910000000400546578740008006274
-      6E466F6E7473010100000093000000040048696E7400090062746E4974616C69
-      63010100000094000000040048696E7400070062746E426F6C64010100000095
-      000000040048696E74000C0062746E556E6465726C696E650101000000960000
-      00040048696E74000A0062746E42756C6C657473010100000097000000040048
-      696E74000A0062746E4E756D62657273010100000098000000040048696E7400
-      0C0062746E4C656674416C69676E010100000099000000040048696E74000E00
-      62746E43656E746572416C69676E01010000009A000000040048696E74000D00
-      62746E5269676874416C69676E01010000009B000000040048696E74000D0062
-      746E4D6F7265496E64656E7401010000009C000000040048696E74000D006274
-      6E4C657373496E64656E7401010000009D000000040048696E74000C0062746E
-      54657874436F6C6F7201010000009E000000040048696E74000C0062746E4261
-      636B436F6C6F7201010000009F000000040048696E7400}
+      4E616D657300000A006362466F6E7453697A6501020000009200000005004974
+      656D739100000004005465787400080062746E466F6E74730101000000930000
+      00040048696E7400090062746E4974616C696301010000009400000004004869
+      6E7400070062746E426F6C64010100000095000000040048696E74000C006274
+      6E556E6465726C696E65010100000096000000040048696E74000A0062746E42
+      756C6C657473010100000097000000040048696E74000A0062746E4E756D6265
+      7273010100000098000000040048696E74000C0062746E4C656674416C69676E
+      010100000099000000040048696E74000E0062746E43656E746572416C69676E
+      01010000009A000000040048696E74000D0062746E5269676874416C69676E01
+      010000009B000000040048696E74000D0062746E4D6F7265496E64656E740101
+      0000009C000000040048696E74000D0062746E4C657373496E64656E74010100
+      00009D000000040048696E74000C0062746E54657874436F6C6F720101000000
+      9E000000040048696E74000C0062746E4261636B436F6C6F7201010000009F00
+      0000040048696E7400080062746E496D6167650101000000A000000004004869
+      6E7400}
   end
 end