Index: BMXNET_RPMS_dotNET_UTILITIES-BMX/trunk/cs/bmx_0200scr/BMX2/BMXNet/bmxnet.xml
===================================================================
--- BMXNET_RPMS_dotNET_UTILITIES-BMX/trunk/cs/bmx_0200scr/BMX2/BMXNet/bmxnet.xml	(revision 815)
+++ BMXNET_RPMS_dotNET_UTILITIES-BMX/trunk/cs/bmx_0200scr/BMX2/BMXNet/bmxnet.xml	(revision 816)
@@ -5,4 +5,204 @@
     </assembly>
     <members>
+        <member name="T:IndianHealthService.BMXNet.DServerInfo">
+            <summary>
+            Prompts for RPMS Server address and port
+            Obtains current values, if any, from isolated storage
+            and uses them as defaults.
+            If OK, then writes values to isolated storage and returns
+            Address and Port as properties.
+            
+            </summary>
+        </member>
+        <member name="F:IndianHealthService.BMXNet.DServerInfo.components">
+            <summary>
+            Required designer variable.
+            </summary>
+        </member>
+        <member name="M:IndianHealthService.BMXNet.DServerInfo.Dispose(System.Boolean)">
+            <summary>
+            Clean up any resources being used.
+            </summary>
+        </member>
+        <member name="M:IndianHealthService.BMXNet.DServerInfo.InitializeComponent">
+            <summary>
+            Required method for Designer support - do not modify
+            the contents of this method with the code editor.
+            </summary>
+        </member>
+        <member name="M:IndianHealthService.BMXNet.DServerInfo.UpdateDialogData(System.Boolean)">
+            <summary>
+            If b is true, moves member vars into control data
+            otherwise, moves control data into member vars
+            </summary>
+            <param name="b"></param>
+        </member>
+        <member name="P:IndianHealthService.BMXNet.DServerInfo.MServerAddress">
+            <summary>
+            Gets/sets the internet address of the RPMS Server
+            </summary>
+        </member>
+        <member name="P:IndianHealthService.BMXNet.DServerInfo.MServerNamespace">
+            <summary>
+            Gets/sets the namespace of the RPMS Server
+            </summary>
+        </member>
+        <member name="P:IndianHealthService.BMXNet.DServerInfo.MServerPort">
+            <summary>
+            Gets/sets the TCP/IP Port of the RPMS Server
+            </summary>
+        </member>
+        <member name="T:IndianHealthService.BMXNet.DSelectDivision">
+            <summary>
+            Summary description for DSelectDivision.
+            </summary>
+        </member>
+        <member name="M:IndianHealthService.BMXNet.DSelectDivision.InitializeComponent">
+            <summary>
+            Required method for Designer support - do not modify
+            the contents of this method with the code editor.
+            </summary>
+        </member>
+        <member name="M:IndianHealthService.BMXNet.DSelectDivision.UpdateDialogData(System.Boolean)">
+            <summary>
+            If b is true, moves member vars into control data
+            otherwise, moves control data into member vars
+            </summary>
+            <param name="b"></param>
+        </member>
+        <member name="M:IndianHealthService.BMXNet.DSelectDivision.Dispose(System.Boolean)">
+            <summary>
+            Clean up any resources being used.
+            </summary>
+        </member>
+        <member name="T:IndianHealthService.BMXNet.BMXNetLib">
+            <summary>
+            BMXNetLib implements low-level socket connectivity to RPMS databases.
+            The VA RPC Broker must be running on the RPMS server in order for 
+            BMXNetLib to connect.
+            </summary>
+        </member>
+        <member name="M:IndianHealthService.BMXNet.BMXNetLib.PieceLength(System.String,System.String)">
+            <summary>
+            Corresponds to M's $L(STRING,DELIMITER)
+            </summary>
+            <param name="sInput"></param>
+            <param name="sDelim"></param>
+            <returns></returns>
+        </member>
+        <member name="M:IndianHealthService.BMXNet.BMXNetLib.Piece(System.String,System.String,System.Int32)">
+            <summary>
+            Corresponds to M's $$Piece function
+            </summary>
+            <param name="sInput"></param>
+            <param name="sDelim"></param>
+            <param name="nNumber"></param>
+            <returns></returns>
+        </member>
+        <member name="M:IndianHealthService.BMXNet.BMXNetLib.ADEBLDPadString(System.String)">
+            <summary>
+            Given strInput = "13" builds "013" if nLength = 3.  Default for nLength is 3.
+            </summary>
+            <param name="strInput"></param>
+            <returns></returns>
+        </member>
+        <member name="M:IndianHealthService.BMXNet.BMXNetLib.ADEBLDPadString(System.String,System.Int32)">
+            <summary>
+            Given strInput = "13" builds "013" if nLength = 3  Default for nLength is 3.
+            </summary>
+            <param name="strInput"></param>
+            <param name="nLength">Default = 3</param>
+            <returns></returns>
+        </member>
+        <member name="M:IndianHealthService.BMXNet.BMXNetLib.ADEBLDB(System.String)">
+            <summary>
+            Concatenates zero-padded length of sInput to sInput
+            Given "Hello" returns "004Hello"
+            If nSize = 5, returns "00004Hello"
+            Default for nSize is 3.
+            </summary>
+            <param name="sInput"></param>
+            <returns></returns>
+        </member>
+        <member name="M:IndianHealthService.BMXNet.BMXNetLib.ADEBLDB(System.String,System.Int32)">
+            <summary>
+            Concatenates zero-padded length of sInput to sInput
+            Given "Hello" returns "004Hello"
+            If nSize = 5, returns "00004Hello"
+            Default for nSize is 3.
+            </summary>
+            <param name="sInput"></param>
+            <param name="nSize"></param>
+            <returns></returns>
+        </member>
+        <member name="M:IndianHealthService.BMXNet.BMXNetLib.ADEBHDR(System.String,System.String,System.String,System.String)">
+            <summary>
+            Build protocol header
+            </summary>
+            <param name="sWKID"></param>
+            <param name="sWINH"></param>
+            <param name="sPRCH"></param>
+            <param name="sWISH"></param>
+            <returns></returns>
+        </member>
+        <member name="M:IndianHealthService.BMXNet.BMXNetLib.FindSubString(System.String,System.String)">
+            <summary>
+            Returns index of first instance of sSubString in sString.
+            If sSubString not found, returns -1.
+            </summary>
+            <param name="sString"></param>
+            <param name="sSubString"></param>
+            <returns></returns>
+        </member>
+        <member name="M:IndianHealthService.BMXNet.BMXNetLib.Lock(System.String,System.String,System.String)">
+            <summary>
+            Lock a local or global M variable
+            Returns true if lock is obtained during TimeOut seconds
+            Use + to increment, - to decrement lock.
+            </summary>
+            <param name="Variable"></param>
+            <param name="Increment"></param>
+            <param name="TimeOut"></param>
+            <returns></returns>
+        </member>
+        <member name="P:IndianHealthService.BMXNet.BMXNetLib.BMXRWL">
+            <summary>
+            Returns a reference to the internal ReaderWriterLock member.
+            </summary>
+        </member>
+        <member name="P:IndianHealthService.BMXNet.BMXNetLib.RWLTimeout">
+            <summary>
+            Sets and returns the timeout in milliseconds for locking the transmit port.
+            If the transmit port is unavailable an ApplicationException will be thrown.
+            </summary>
+        </member>
+        <member name="P:IndianHealthService.BMXNet.BMXNetLib.ReceiveTimeout">
+            <summary>
+            Set and retrieve the timeout, in milliseconds, to receive a response from the RPMS server.
+            If the retrieve time exceeds the timeout, an exception will be thrown and the connection will be closed.
+            The default is 30 seconds.
+            </summary>
+        </member>
+        <member name="P:IndianHealthService.BMXNet.BMXNetLib.AppContext">
+            <summary>
+            Gets/sets the Kernel Application context
+            Throws an exception if unable to set the context. 
+            </summary>
+        </member>
+        <member name="T:IndianHealthService.BMXNet.BMXNetException">
+            <summary>
+            Custom exception class for BMXNet
+            </summary>
+        </member>
+        <member name="P:IndianHealthService.BMXNet.RPMSDb.ResultSets">
+            <summary>
+            Returns the array of RMPSResultSets retrieved from RPMS
+            </summary>
+        </member>
+        <member name="P:IndianHealthService.BMXNet.RPMSDb.CurrentRecordSet">
+            <summary>
+            Sets and Returns the current recordset
+            </summary>
+        </member>
         <member name="T:IndianHealthService.BMXNet.DLoginInfo">
             <summary>
@@ -215,204 +415,4 @@
             </summary>
         </member>
-        <member name="T:IndianHealthService.BMXNet.BMXNetLib">
-            <summary>
-            BMXNetLib implements low-level socket connectivity to RPMS databases.
-            The VA RPC Broker must be running on the RPMS server in order for 
-            BMXNetLib to connect.
-            </summary>
-        </member>
-        <member name="M:IndianHealthService.BMXNet.BMXNetLib.PieceLength(System.String,System.String)">
-            <summary>
-            Corresponds to M's $L(STRING,DELIMITER)
-            </summary>
-            <param name="sInput"></param>
-            <param name="sDelim"></param>
-            <returns></returns>
-        </member>
-        <member name="M:IndianHealthService.BMXNet.BMXNetLib.Piece(System.String,System.String,System.Int32)">
-            <summary>
-            Corresponds to M's $$Piece function
-            </summary>
-            <param name="sInput"></param>
-            <param name="sDelim"></param>
-            <param name="nNumber"></param>
-            <returns></returns>
-        </member>
-        <member name="M:IndianHealthService.BMXNet.BMXNetLib.ADEBLDPadString(System.String)">
-            <summary>
-            Given strInput = "13" builds "013" if nLength = 3.  Default for nLength is 3.
-            </summary>
-            <param name="strInput"></param>
-            <returns></returns>
-        </member>
-        <member name="M:IndianHealthService.BMXNet.BMXNetLib.ADEBLDPadString(System.String,System.Int32)">
-            <summary>
-            Given strInput = "13" builds "013" if nLength = 3  Default for nLength is 3.
-            </summary>
-            <param name="strInput"></param>
-            <param name="nLength">Default = 3</param>
-            <returns></returns>
-        </member>
-        <member name="M:IndianHealthService.BMXNet.BMXNetLib.ADEBLDB(System.String)">
-            <summary>
-            Concatenates zero-padded length of sInput to sInput
-            Given "Hello" returns "004Hello"
-            If nSize = 5, returns "00004Hello"
-            Default for nSize is 3.
-            </summary>
-            <param name="sInput"></param>
-            <returns></returns>
-        </member>
-        <member name="M:IndianHealthService.BMXNet.BMXNetLib.ADEBLDB(System.String,System.Int32)">
-            <summary>
-            Concatenates zero-padded length of sInput to sInput
-            Given "Hello" returns "004Hello"
-            If nSize = 5, returns "00004Hello"
-            Default for nSize is 3.
-            </summary>
-            <param name="sInput"></param>
-            <param name="nSize"></param>
-            <returns></returns>
-        </member>
-        <member name="M:IndianHealthService.BMXNet.BMXNetLib.ADEBHDR(System.String,System.String,System.String,System.String)">
-            <summary>
-            Build protocol header
-            </summary>
-            <param name="sWKID"></param>
-            <param name="sWINH"></param>
-            <param name="sPRCH"></param>
-            <param name="sWISH"></param>
-            <returns></returns>
-        </member>
-        <member name="M:IndianHealthService.BMXNet.BMXNetLib.FindSubString(System.String,System.String)">
-            <summary>
-            Returns index of first instance of sSubString in sString.
-            If sSubString not found, returns -1.
-            </summary>
-            <param name="sString"></param>
-            <param name="sSubString"></param>
-            <returns></returns>
-        </member>
-        <member name="M:IndianHealthService.BMXNet.BMXNetLib.Lock(System.String,System.String,System.String)">
-            <summary>
-            Lock a local or global M variable
-            Returns true if lock is obtained during TimeOut seconds
-            Use + to increment, - to decrement lock.
-            </summary>
-            <param name="Variable"></param>
-            <param name="Increment"></param>
-            <param name="TimeOut"></param>
-            <returns></returns>
-        </member>
-        <member name="P:IndianHealthService.BMXNet.BMXNetLib.BMXRWL">
-            <summary>
-            Returns a reference to the internal ReaderWriterLock member.
-            </summary>
-        </member>
-        <member name="P:IndianHealthService.BMXNet.BMXNetLib.RWLTimeout">
-            <summary>
-            Sets and returns the timeout in milliseconds for locking the transmit port.
-            If the transmit port is unavailable an ApplicationException will be thrown.
-            </summary>
-        </member>
-        <member name="P:IndianHealthService.BMXNet.BMXNetLib.ReceiveTimeout">
-            <summary>
-            Set and retrieve the timeout, in milliseconds, to receive a response from the RPMS server.
-            If the retrieve time exceeds the timeout, an exception will be thrown and the connection will be closed.
-            The default is 30 seconds.
-            </summary>
-        </member>
-        <member name="P:IndianHealthService.BMXNet.BMXNetLib.AppContext">
-            <summary>
-            Gets/sets the Kernel Application context
-            Throws an exception if unable to set the context. 
-            </summary>
-        </member>
-        <member name="P:IndianHealthService.BMXNet.RPMSDb.ResultSets">
-            <summary>
-            Returns the array of RMPSResultSets retrieved from RPMS
-            </summary>
-        </member>
-        <member name="P:IndianHealthService.BMXNet.RPMSDb.CurrentRecordSet">
-            <summary>
-            Sets and Returns the current recordset
-            </summary>
-        </member>
-        <member name="T:IndianHealthService.BMXNet.DSelectDivision">
-            <summary>
-            Summary description for DSelectDivision.
-            </summary>
-        </member>
-        <member name="M:IndianHealthService.BMXNet.DSelectDivision.InitializeComponent">
-            <summary>
-            Required method for Designer support - do not modify
-            the contents of this method with the code editor.
-            </summary>
-        </member>
-        <member name="M:IndianHealthService.BMXNet.DSelectDivision.UpdateDialogData(System.Boolean)">
-            <summary>
-            If b is true, moves member vars into control data
-            otherwise, moves control data into member vars
-            </summary>
-            <param name="b"></param>
-        </member>
-        <member name="M:IndianHealthService.BMXNet.DSelectDivision.Dispose(System.Boolean)">
-            <summary>
-            Clean up any resources being used.
-            </summary>
-        </member>
-        <member name="T:IndianHealthService.BMXNet.DServerInfo">
-            <summary>
-            Prompts for RPMS Server address and port
-            Obtains current values, if any, from isolated storage
-            and uses them as defaults.
-            If OK, then writes values to isolated storage and returns
-            Address and Port as properties.
-            
-            </summary>
-        </member>
-        <member name="F:IndianHealthService.BMXNet.DServerInfo.components">
-            <summary>
-            Required designer variable.
-            </summary>
-        </member>
-        <member name="M:IndianHealthService.BMXNet.DServerInfo.Dispose(System.Boolean)">
-            <summary>
-            Clean up any resources being used.
-            </summary>
-        </member>
-        <member name="M:IndianHealthService.BMXNet.DServerInfo.InitializeComponent">
-            <summary>
-            Required method for Designer support - do not modify
-            the contents of this method with the code editor.
-            </summary>
-        </member>
-        <member name="M:IndianHealthService.BMXNet.DServerInfo.UpdateDialogData(System.Boolean)">
-            <summary>
-            If b is true, moves member vars into control data
-            otherwise, moves control data into member vars
-            </summary>
-            <param name="b"></param>
-        </member>
-        <member name="P:IndianHealthService.BMXNet.DServerInfo.MServerAddress">
-            <summary>
-            Gets/sets the internet address of the RPMS Server
-            </summary>
-        </member>
-        <member name="P:IndianHealthService.BMXNet.DServerInfo.MServerNamespace">
-            <summary>
-            Gets/sets the namespace of the RPMS Server
-            </summary>
-        </member>
-        <member name="P:IndianHealthService.BMXNet.DServerInfo.MServerPort">
-            <summary>
-            Gets/sets the TCP/IP Port of the RPMS Server
-            </summary>
-        </member>
-        <member name="T:IndianHealthService.BMXNet.BMXNetException">
-            <summary>
-            Custom exception class for BMXNet
-            </summary>
-        </member>
     </members>
 </doc>